﻿# This procedure adds a new printer
Function InstallNewPrinter{
     Param ([string]$newPrinter)
     #Add new Printer
     # PS ver5 har get-printer, ver3 har inte.
     #add-printer -connectionname $newPrinter
  
     $global:net.AddWindowsPrinterConnection($newPrinter) 
  
}


#Function SetPrinterDefault{
#
#Param ([string]$NewDefaultPrinterr)
#
## If current printer is default, make the new a default printer
## Windows10 has a new feature, "let windows handle default printer" : Is not used here but will set "last used printer to default"
## $global:net.SetDefaultPrinter($defaultPrinter)
# (Get-WmiObject -query "select * from Win32_Printer where shareName='$NewDefaultPrinter'").SetdefaultPrinter()
#
#}
#

# test if printer server is avialable.
if (test-path "\\edp-liu-prn01.ad.liu.se\pcclient") {
write-host "server \\edp-liu-prn01.ad.liu.se\ is avialable"



# Identify all the installed Konica network printer under logged in users profile
# PS ver5 har get-printer, ver3 har inte.
# $Printers = get-printer -name "\\konica*"


$Printers = Get-WmiObject -Class Win32_Printer | where{$_.Name -like '\\konica*'}
$newPrinter = ""



if($Printers)

{
    # Get Network object
    $global:net = new-Object -com WScript.Network
   
   New-Item $env:appdata\LiU\konica_printers_v1.txt -type file -Force
   foreach ($Printer in $Printers)
 
      {        
          add-content -path $env:appdata\LiU\konica_printers_v1.txt -value $Printer.Name
          switch ($Printer.ShareName) 
          { 
"Stolen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-C-1-033"}
"Hyllan-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-C-2-077"}
"Snultran-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-006"}
"Valhajen-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-007"}
"Koljan-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-018"}
"Multen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-020"}
"Ringbuken-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-021"}
"Glasmalen-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-039"}
"Tobisen-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-040"}
"Iden-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-041"}
"Loddan-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-042"}
"Braxen-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-043"}
"Flundran-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-044"}
"Hajen-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-045"}
"Siken-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-046"}
"Sillen-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-047"}
"Makrillen-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-048"}
"Gersen-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-049"}
"Marulken-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-050"}
"Platyn-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-051"}
"Pigghajen-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-052"}
"Amiralen-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-053"}
"Fugun-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-054"}
"Manaten-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-055"}
"Ostronet-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-056"}
"Grindvalen-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-057"}
"Barracudan-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-1-068"}
"Koalan-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-1-069"}
"Bergfinken-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-1-070"}
"Vallabyn-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-1-071"}

#"Studentskrivare" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-1-072"}

"Hummern-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-073"}
"Skallerormen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-074"}
"Spiggen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-005"}
"Aspen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-006"}
"Bulten-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-007"}
"Drakfisken-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-008"}
"Piggvaren-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-009"}
"Stubben-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-010"}
"Kackerlackan-Liu4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-011"}
"Uern-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-012"}
"Knoten-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-035"}
"Sillkungen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-039"}
"Blekan-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-047"}
"Cikliden" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-048"}
"Simpan-Liu3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-092"}
"Sutaren-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-093"}
"Vimman-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-094"}
"Torsken-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-095"}
"Abborren-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-096"}
"Laken-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-097"}
"Ulken-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-098"}
"Rockan-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-099"}
"Mantan-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-100"}
"Laxen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-101"}
"Bassen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-102"}
"Guramin-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-103"}
"Svartfisken-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-104"}
"Harren-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-105"}
"Pagellen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-106"}
"Vitlingen-LiU2" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-107"}
"Tulpanen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-210"}
"Kvastfeningen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-110"}
"Guldfisken-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-111"}
"Dovhjorten-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-112"}
"Delfinen-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-113"}
"Korallen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-114"}
"Musslan-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-N-2-115"}
"Silverhajen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-116"}
"Kampfisken-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-N-2-117"}
"Koien-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-N-2-118"}
"Kirurgfisken-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-N-2-119"}
"Gorillan-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-N-2-120"}
"Aspen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-N-2-121"}
"Karpen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-N-2-122"}
"Rudan-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-N-2-123"}
"Kummeln-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-3-004"}
"Vallmon-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-008"}
"Takin-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-1-023"}
"Bisamen-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-060"}
"Fladdermusen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-061"}
"Kon-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-062"}
"Lejonet-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-063"}
"Lemuren-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-064"}
"Oxen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-065"}
"Servalen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-066"}
"Vallmon-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-067"}
"Florinen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-075"}
"Geparden-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-076"}
"Giraffen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-077"}
"Maskrosen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-078"}
"Tigern-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-079"}
"Zebun-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-080"}
"Dromedaren-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-081"}
"Ratatosk-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-082"}
"Dahlian-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-083"}
#"Babianen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-084"}
"Illern-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-085"}
"Faren-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-086"}
"Myskoxen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-112"}
"Servalen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-113"}
"Valrossen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-114"}
"Kopparormen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-115"}
"Myrsloken" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-116"}
"Fossan" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-117"}
"Pirayan" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-118"}
"Mungon" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-119"}
"Marsvinet" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-120"}
"Okapin" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-1-121"}
"Guanacon-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-033"}
"Hjorten-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-034"}
"Haren-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-125"}
"Katten-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-126"}
"Koyoten-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-127"}
"Kronhjorten-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-128"}
"Maran-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-129"}
"Sjuryggen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-109"}
"Alpackan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-131"}
"Laman-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-132"}
"Pandan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-133"}
"Igelkotten-LiU3 " {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-134"}
"Buffeln-LiU4 " {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-135"}
"Topin-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-136"}
"Kamelen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-137"}
"Tjuren-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-138"}
"Hyenan-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-139"}
"Kaparen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-140"}
"Jaguaren-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-141"}
"Surikaten-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-143"}
"Makin-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-144"}
"Visenten-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-145"}
"Minken-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-146"}
"Uttern-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-147"}
"Hermelinen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-148"}
"Watussin-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-149"}
"Lon-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-U-2-150"}
"Baggen-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-151"}
"Kulan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-152"}
"Vitvalen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-153"}
"Gasellen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-184"}
"Makaken" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-185"}
"Antilopen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-186"}
"Vithajen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-187"}
"Leoparden" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-188"}
"Jaken" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-190"}
"Grisen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-191"}
"Mandrillen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-192"}
"Schimpansen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-193"}
"Gibbonen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-194"}
"Koyoten" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-195"}
"Varin" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-197"}
"Kapybaran" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-198"}
"Buffeln" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-199"}
"Siseln" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-200"}
"Vitvalen " {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-201"}
"Stenbocken" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-202"}
"Dholen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-203"}
"Hammarhajen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-204"}
"Igelkotten" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-205"}
"Puman" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-206"}
"Kronhjorten" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-207"}
"Manvargen" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-U-2-208"}
"Mimer-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-001"}
"Freja-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-002"}
"Irpa-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-003"}
"Sol-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-004"}
"Hugin-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-005"}
"Skatan-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-009"}
"Dinosaurien-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-010"}
"Hoyan-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-011"}
"Moloken-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-012"}
"Grip-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-013"}
"Vildsvinet-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-014"}
"Granen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-015"}
"Boan-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-016"}
"Kobran-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-017"}
"Lorikiten-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-019"}
"Salamandern-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-022"}
"Varanen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-024"}
"Skinfaxe-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-025"}
"Gulltopp-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-026"}
"Collien-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-027"}
"Kameleonten-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-028"}
"Snoken-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-029"}
"Terriern-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-030"}
"Harpyjan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-031"}
"Jacanan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-032"}
"Lokal HP-skrivare" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-034"}
"Anden-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-035"}
"Guanen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-036"}
"Duvan-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-037"}
"Eldryggen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-038"}
"Pionen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-058"}
"Salvian-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-059"}
"Brushanen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-087"}
"Domherren-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-088"}
"Gulfinken-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-089"}
"Mineraren-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-090"}
"Talgoxen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-091"}
"Bofinken-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-092"}
"Frankolinen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-093"}
"Pihan-LiU2" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-094"}
"Frekvensen-LiU5" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-095"}
"Partikeln-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-096"}
"Optiken-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-097"}
"Atomen-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-1-098"}
"Leptonen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-099"}
"Kvarken-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-100"}
"Teorin-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-101"}
"Cellen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-102"}
"Dronten-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-103"}
"Enen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-104"}
"Monalen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-105"}
"Beckasinen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-107"}
"Svalan-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-110"}
"Falken-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-111"}
"Kivin-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-112"}
"Viggen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-1-113"}
"Ask-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-001"}
"Embla-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-002"}
"Frigg-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-003"}
"Frigg-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-004"}
"Gladan-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-013"}
"Orren-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-014"}
"Kronan-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-015"}
"Peson-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-016"}
"Alnen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-017"}
"Gulsparven-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-018"}
"Krokusen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-019"}
"Nejlikan-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-020"}
"Syrenen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-021"}
"Violen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-022"}
"Pilen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-023"}
"Myggan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-024"}
"Apis-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-025"}
"Basilisk-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-026"}
"Chimaira-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-027"}
"Examensenheten-LiU5" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-028"}
"Garuda-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-029"}
"Eken-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-030"}
"Palmen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-031"}
"Agamen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-032"}
"Krokodilen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-036"}
"Leguanen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-037"}
"Magasinet-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-038"}
"Tejun-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-040"}
"Narvalen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-041"}
"Nessos-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-042"}
"Garm-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-043"}
"Grane-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-044"}
"Heidrun-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-045"}
"Keiron-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-046"}
"Boxern-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-049"}
"Briarden-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-050"}
"Geckon-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-051"}
"Paddan-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-052"}
"Pulin-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-053"}
"Schnauzern-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-054"}
"Taxen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-055"}
"Yenen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-056"}
"Biet-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-057"}
"Ekoxen-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-058"}
"Flugan-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-059"}
"Larven-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-060"}
"Malen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-061"}
"Masken-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-062"}
"Myran-LiU1" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-063"}
"Termiten-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-064"}
"Bromsen LiU" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-065"}
"Tussilagon-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-066"}
"Stekeln-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-067"}
"Gavialen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-068"}
"Kagun-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-069"}
"Kajmanen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-070"}
"Mamban-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-071"}
"Myrspoven-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-072"}
"Nandun-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-073"}
"Olmen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-074"}
"Rallen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-075"}
"Vipan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-076"}
"Tranan-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-078"}
"Emun-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-079"}
"Kolibrin-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-080"}
"Fasanen-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-081"}
"Krickan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-082"}

"Ugglan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-083"}
"Pelikanen-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-084"}
"Entitan-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-085"}
"Ibisen-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-086"}
"Gamen-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-087"}
"Ejdern-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-088"}
"Sparven-LiU5" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-089"}
"Sulan-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-090"}
"Caracaran-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-091"}
"Solrosen-LiU5" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-124"}
"Gjusen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-154"}
"Kondoren-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-155"}
"Pivin-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-156"}
"Trasten-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-157"}
"Morkullan-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-158"}
"Piparen-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-159"}
"Doppingen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-160"}
"Petrellen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-161"}
"Kookaburran-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-162"}
"Fibin-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-163"}
"Protonen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-164"}
"Dynamiken-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-165"}
"Fotonen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-166"}
"Neutronen-LiU1" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-167"}
"Plasman-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-168"}
"Axionen-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-169"}
"Massan-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-170"}
"Albatrossen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-171"}
"Aran-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-172"}
"Hockon-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-173"}
"Kajan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-174"}
"Kycklingen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-175"}
"Roskarlen-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-176"}
"Undulaten-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-177"}
"Vithaken-LiU3" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-178"}
"Fiskgjusen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-179"}
"Sparven-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-180"}
"Lomen-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-181"}
"Knipan-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-182"}
"Parakiten-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-183"}
"Tukanen-LiU4" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-2-184"}
"Strutsen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-2-185"}
"Lubben-LiU3" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-N-2-108"}
"Skraken-LiU5" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-3-001"}

"Truten-LiU5" {$newPrinter = "\\edp-liu-prn01.ad.liu.se\EDP-LiU-V-3-002"}

"Kalkonen-LiU4" {$newPrinter = "\\edp-liu-mob01.ad.liu.se\EDP-LiU-V-3-003"}
          }

#radera de här raderna sen.
          Write-Host "--------------------------------"
          Write-Host "Old ShareName: " $Printer.Name
     #     Write-Host "New ShareName: " $NewPrinter
     #     Write-Host "Location: " $Printer.Location
     #     Write-Host "Comment: " $Printer.Comment
     #     Write-Host "DriverName: " $Printer.DriverName
     #     Write-Host "Shared: " $Printer.Shared
          Write-Host "ShareName: " $Printer.ShareName
           
		  



		  if ($newPrinter -ne "")
		  {
#
#
#write-host $Printer.Default
#
#                if ($Printer.Default) {$defaultPrinter = $newPrinter}
#                $arrdefaultprinter=$defaultPrinter.split('\')
#                $NewDefaultPrinter=$arrdefaultprinter[3]
#                             
				InstallNewPrinter $newPrinter
#				$newPrinter = ""
		  }
     }
    
#    Write-Host "------------------------------------"
#    Write-Host "Expected New defaultprinter: " $NewDefaultPrinter


    # Set new default printer. Not used due to windows10 new "let windows handle default printer"
    # and there is no reason to change before all old printers are removed.
	#SetPrinterDefault $NewDefaultPrinter

#    $efter=Get-WmiObject -Query " SELECT * FROM Win32_Printer WHERE Default=$true"
#    Write-Host "Real New defaultprinter: "$efter.Name
#
}

New-Item $env:appdata\LiU\migration_done_v1.txt -type file -Force

}

else 

{ write-host "not found"
 exit 12345 }

# Remove-Printer –InputObject (get-printer -name "\\EDP*")